(function($) {
	var themaga = {

		init: function() {
			this.navSearch();
			this.scrollTop();
			this.mobileMenu();
		},

		/**
		 * Toggle Search Click
		 * 
		 * @return void
		 */
		navSearch: function() {


		$('#trigger-overlay').on('click', function(e) {
				e.preventDefault();

				var hasActive = $('#search-overlay').hasClass('search-active');

				if (!hasActive) {
					$('#search-overlay').addClass('search-active');
					$('#search-overlay .search-field').focus();
				}

			});

			$('.search-close').on('click', function(e){
				e.preventDefault();

				$('#search-overlay').removeClass('search-active');

			});

		},

		/**
		 * Scroll To Top
		 * 
		 * @return void
		 */

		scrollTop: function() {

			$('.back-to-top').click( function() {

				$('html, body').animate({scrollTop : 0},800);
				return false;

			});

			$(document).scroll ( function() {
				
				var topPositionScrollBar = $(document).scrollTop();
				
				if ( topPositionScrollBar < '150' ) {
					
					$('.back-to-top').fadeOut();
				
				} else {

					$('.back-to-top').fadeIn();

				}

			});


		},

		// Mobile Menu 

		mobileMenu: function() {
			var $primary_menu = $('#primary-navigation');
			var $menu = '';
			var menu_wrapper = '';

			$('.sub-menu').parent().append('<span class="arrow-menu"><i class="fa fa-plus"></i></span>');
			
			if ($primary_menu.length === 0) {
				return;
			} else {
				$menu = $primary_menu;
			}

			menu_wrapper = $menu
			.clone().attr('class', 'mobile-menu')
			.wrap('<div id="mobile-menu-wrapper" class="mobile-only"></div>').parent()
			.appendTo('body');

			$('.menu-toggle').click(function(e) {
				e.preventDefault();
				e.stopPropagation();
				$('#mobile-menu-wrapper').show(); // only required once
				$('body').toggleClass('mobile-menu-active');
			});

			$('.menu-overlay').click(function() {
				if ($('body').hasClass('mobile-menu-active')) {
					$('body').removeClass('mobile-menu-active');
				}
			});

			$('#page').click(function() {
				if ($('body').hasClass('mobile-menu-active')) {
					$('body').removeClass('mobile-menu-active');
				}
			});

			if($('#wpadminbar').length) {
				$('#mobile-menu-wrapper').addClass('wpadminbar-active');
			}


			$('.arrow-menu').on('click', function(e) {
				e.preventDefault();
				e.stopPropagation();
				var subMenuOpen = $(this).hasClass('sub-menu-open');

				if ( subMenuOpen ) {
					$(this).removeClass('sub-menu-open');
					$(this).find('i').removeClass('fa-minus').addClass('fa-plus');
					$(this).prev('ul.sub-menu').slideUp();
				} else {
					$(this).prev('ul.sub-menu').slideDown();
					$(this).addClass('sub-menu-open');
					$(this).find('i').removeClass('fa-plus').addClass('fa-minus');
				}

			});
		}

	}; // var themaga

	$(document).ready(function() {
		themaga.init();
	});

	$(document).mouseleave(function () {
		
	});

	$(window).load(function(){
  		//
	});
}) (jQuery);