<?php
/**
 * The header for our theme
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Themaga
 * @since 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<?php do_action( 'themaga_before_site' ); ?>

<div id="page" class="hfeed site">

	<?php do_action( 'themaga_before_header' ); ?>

	<header id="masthead" class="site-header" role="banner">

		<div class="top-bar">
			<div class="container">

				<?php
				/**
				 * Functions hooked into themaga_top_header action
				 *
				 */
				do_action( 'themaga_top_header' ); ?>
				
			</div><!-- .container -->

		</div><!-- .top-bar -->

		<div class="header-wrapper">

			<div class="container">

				<?php
				/**
				 * Functions hooked into themaga_header action
				 *
				 */
				do_action( 'themaga_header' ); ?>

			</div><!-- .container -->

		</div><!-- .header-wrapper -->

	</header><!-- #masthead -->

	<?php
	/**
	 * Functions hooked in to themaga_before_content
	 *
	 */
	do_action( 'themaga_before_content' ); ?>

	<div id="content" class="site-content" tabindex="-1">
		<div class="container">

		<?php
		do_action( 'themaga_content_top' );